> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/flowcoll/supported_ie.md).

# Supported Information Elements / Fields

ElastiFlow NetObserv receives, decodes, transforms, normalizes, translates and enriches network flow records and telemetry sent from network devices, cloud services and applications using SNMP, IPFIX, Netflow, sFlow and Cloud Flow Logs. These records are composed of information elements (IEs), which contain attribute values related to the observed network traffic. NetObserv supports 7400+ information elements (IEs) from many vendors and multiple networking technologies.

| Record Type                                                     | Community |   Basic  | Standard |  Premium |
| --------------------------------------------------------------- | :-------: | :------: | :------: | :------: |
| [IPFIX](/flowcoll/supported_ie/supported_ie_ipfix.md)           |     83    |    450   |   4835   |   4835   |
| [Netflow](/flowcoll/supported_ie/supported_ie_netflow.md)       |    152    |    519   |   1613   |   1613   |
| [sFlow](/flowcoll/supported_ie/supported_ie_sflow.md)           |    187    |    206   |    939   |    939   |
| [AWS VPC Flow Logs](/flowcoll/supported_ie/supported_ie_aws.md) |     37    |    37    |    37    |    37    |
| **TOTAL**                                                       |  **459**  | **1212** | **7424** | **7424** |

{% hint style="info" %}
For the complete set of IEs supported by each license tier, see the record type specific lists of IEs.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/flowcoll/supported_ie.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
